package com.ruoyi.project.plant.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 目标回顾行动项对象 t_targetaction
 *
 * @author ruoyi
 * @date 2021-08-16
 */
public class TTargetaction extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 目标回顾ID */
    @Excel(name = "目标回顾ID")
    private Long targetreviewId;

    /** 行动项 */
    @Excel(name = "行动项")
    private String actionItem;

    /** 负责人 */
    @Excel(name = "负责人")
    private String principal;
    private String principalName;

    /** 计划完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "计划完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date expectedDate;

    /** 完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date completionDate;

    /** 状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTargetreviewId(Long targetreviewId)
    {
        this.targetreviewId = targetreviewId;
    }

    public Long getTargetreviewId()
    {
        return targetreviewId;
    }
    public void setActionItem(String actionItem)
    {
        this.actionItem = actionItem;
    }

    public String getActionItem()
    {
        return actionItem;
    }
    public void setPrincipal(String principal) { this.principal = principal; }

    public String getPrincipal() { return principal; }
    public String getPrincipalName() { return principalName; }

    public void setPrincipalName(String principalName) { this.principalName = principalName; }
    public void setExpectedDate(Date expectedDate)
    {
        this.expectedDate = expectedDate;
    }

    public Date getExpectedDate()
    {
        return expectedDate;
    }
    public void setCompletionDate(Date completionDate)
    {
        this.completionDate = completionDate;
    }

    public Date getCompletionDate()
    {
        return completionDate;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("targetreviewId", getTargetreviewId())
            .append("actionItem", getActionItem())
            .append("principal", getPrincipal())
            .append("principalName", getPrincipalName())
            .append("expectedDate", getExpectedDate())
            .append("completionDate", getCompletionDate())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .toString();
    }
}
